Skip to main content
POST
/
projects
/
{projectId}
/
exports
Create an export
curl --request POST \
  --url https://api.youka.io/api/v1/projects/{projectId}/exports \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "resolution": "1080p",
  "quality": "average",
  "transparent": false,
  "stemVolumes": {},
  "playbackRate": 2.05,
  "toneFrequency": 1.005,
  "presetId": "<string>",
  "settingsOverride": {
    "displayLanguages": [
      "<string>"
    ]
  }
}
'
{
  "projectId": "<string>",
  "taskId": "<string>",
  "exportId": "<string>",
  "projectUrl": "<string>",
  "taskUrl": "<string>",
  "exportUrl": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

Path Parameters

projectId
string
required

Body

application/json
resolution
enum<string>
default:1080p
required
Available options:
540p,
720p,
1080p
quality
enum<string>
default:average
required
Available options:
low,
average,
high
transparent
boolean
default:false
required
stemVolumes
object
playbackRate
number
Required range: 0.1 <= x <= 4
toneFrequency
number
Required range: 0.01 <= x <= 2
presetId
string
settingsOverride
object

Response

202 - application/json

Export task accepted

projectId
string
required
taskId
string
required
exportId
string
required
projectUrl
string<uri>
required
taskUrl
string<uri>
required
exportUrl
string<uri>
required